package com.sagacloud.utils;
/*
 * Author: Jxing
 * Create Time: 2018/11/12
 */

import com.sagacloud.cache.ProPasCache;

public class ExternalUrlUtil {

    public static String getDpSuffix(String pjId){
        return String.join("", "?projectId=", pjId, "&secret=", ProPasCache.getPjSecret(pjId));
    }

    public static String getInQueryUrl(String pjId)
    {
        return String.join("", PropUtil.getProperty("dataPlatform.baseUrl"), "/fast/object/in_query"
                , getDpSuffix(pjId));
    }

    public static String getVenderSpecDirectoryUrl()
    {
        return String.join("", PropUtil.getProperty("venders.baseUrl"), "/product/directory/query");
    }
}
